## ignition-transport11 11.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-transport11 VERSION 11.2.0)

#============================================================================
# Find ignition-cmake
#============================================================================
# If you get an error at this line, you need to install ignition-cmake
find_package(ignition-cmake2 2.13 REQUIRED)
set(IGN_CMAKE_VER ${ignition-cmake2_VERSION_MAJOR})

#============================================================================
# Configure the project
#============================================================================
ign_configure_project(VERSION_SUFFIX)

#============================================================================
# Set project-specific options
#============================================================================

# ignition-transport currently has no options that are unique to it

if (UNIX AND NOT APPLE)
  set (EXTRA_TEST_LIB_DEPS stdc++fs)
else()
  set (EXTRA_TEST_LIB_DEPS)
endif()

#============================================================================
# Search for project-specific dependencies
#============================================================================
message(STATUS "\n\n-- ====== Finding Dependencies ======")

#--------------------------------------
# Find Protobuf
set(REQ_PROTOBUF_VER 3)
ign_find_package(IgnProtobuf
                 VERSION ${REQ_PROTOBUF_VER}
                 REQUIRED
                 PRETTY Protobuf)

#--------------------------------------
# Find ZeroMQ
ign_find_package(ZeroMQ VERSION 4 REQUIRED PRIVATE)

if (UNIX AND NOT APPLE)
  execute_process(COMMAND lsb_release -cs
    OUTPUT_VARIABLE RELEASE_CODENAME
    RESULT_VARIABLE LSB_RESULT
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )

  if( NOT (${LSB_RESULT} STREQUAL "0"))
    message(WARNING "lsb_release executable not found. Disabling focal-specific workarounds")
  elseif (${RELEASE_CODENAME} STREQUAL "focal")
    set(UBUNTU_FOCAL 1)
  endif()
endif()

#--------------------------------------
# Find cppzmq
ign_find_package(CPPZMQ REQUIRED PRIVATE
  PKGCONFIG_IGNORE # NOTE: cppzmq does not seem to offer a pkg-config file
  PRETTY CppZMQ)

#--------------------------------------
# Find uuid
if (MSVC)
  message (STATUS "UUID: Using Windows RPC UuidCreate function\n")
else()
  ign_find_package(UUID REQUIRED)
endif()

#--------------------------------------
# Find ignition-utils
ign_find_package(ignition-utils1 REQUIRED COMPONENTS cli)
set(IGN_UTILS_VER ${ignition-utils1_VERSION_MAJOR})

#--------------------------------------
# Find ignition-msgs
ign_find_package(ignition-msgs8 REQUIRED)
set(IGN_MSGS_VER ${ignition-msgs8_VERSION_MAJOR})

#--------------------------------------
# Find ifaddrs
ign_find_package(IFADDRS QUIET)
if (IFADDRS_FOUND)
  set (HAVE_IFADDRS ON CACHE BOOL "HAVE IFADDRS" FORCE)
else ()
  set (HAVE_IFADDRS OFF CACHE BOOL "HAVE IFADDRS" FORCE)
endif()

#--------------------------------------
# Find if command is available. This is used to enable tests.
# Note that CLI files are installed regardless of whether the dependency is
# available during build time
find_program(HAVE_IGN_TOOLS ign)
set (IGN_TOOLS_VER 1)

#--------------------------------------
# Find SQLite3
ign_find_package(SQLite3
  VERSION 3.7.13
  REQUIRED_BY log
  PRIVATE_FOR log
  PRETTY sqlite3)


#============================================================================
# Configure the build
#============================================================================
ign_configure_build(QUIT_IF_BUILD_ERRORS
  COMPONENTS log)

#============================================================================
# ign command line support
#============================================================================
add_subdirectory(conf)

#============================================================================
# Create package information
#============================================================================
ign_create_packages()

#============================================================================
# Configure documentation
#============================================================================
configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)

ign_create_docs(
  API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
  TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md")

=== conf/CMakeLists.txt ===
# Used only for internal testing.
set(ign_library_path "${CMAKE_BINARY_DIR}/test/lib/$<CONFIG>/ruby/ignition/cmd${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}")

# Generate a configuration file for internal testing.
# Note that the major version of the library is included in the name.
# Ex: transport0.yaml
configure_file(
  "${GZ_DESIGNATION}.yaml.in"
  "${CMAKE_CURRENT_BINARY_DIR}/${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}.yaml.configured" @ONLY)

file(GENERATE
  OUTPUT "${CMAKE_BINARY_DIR}/test/conf/$<CONFIG>/${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}.yaml"
  INPUT "${CMAKE_CURRENT_BINARY_DIR}/${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}.yaml.configured")

# Used for the installed version.
set(ign_library_path "${CMAKE_INSTALL_PREFIX}/lib/ruby/ignition/cmd${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}")

# Generate the configuration file that is installed.
# Note that the major version of the library is included in the name.
# Ex: transport0.yaml
configure_file(
  "${GZ_DESIGNATION}.yaml.in"
  "${CMAKE_CURRENT_BINARY_DIR}/${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}.yaml" @ONLY)

# Install the yaml configuration files in an unversioned location.
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}.yaml
  DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/ignition/)

=== src/cmd/CMakeLists.txt ===
# Collect source files into the "sources" variable and unit test files into the
# "gtest_sources" variable.
ign_get_libsources_and_unittests(sources gtest_sources)

# Skip command line tests for Windows, see
# https://github.com/ignitionrobotics/ign-transport/issues/104
if (MSVC)
  list(REMOVE_ITEM gtest_sources ign_TEST.cc)
endif()

# Make a small static lib of command line functions
add_library(ign STATIC ign.cc)
target_link_libraries(ign
  ${PROJECT_LIBRARY_TARGET_NAME}
)

# Build topic CLI executable
set(topic_executable ign-transport-topic)
add_executable(${topic_executable} topic_main.cc)
target_link_libraries(${topic_executable}
  ign
  ignition-utils${IGN_UTILS_VER}::cli
  ${PROJECT_LIBRARY_TARGET_NAME}
)
install(TARGETS ${topic_executable} DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/ignition/${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}/)

# Build service CLI executable
set(service_executable ign-transport-service)
add_executable(${service_executable} service_main.cc)
target_link_libraries(${service_executable}
  ign
  ignition-utils${IGN_UTILS_VER}::cli
  ${PROJECT_LIBRARY_TARGET_NAME}
)
install(TARGETS ${service_executable} DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/ignition/${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}/)

# Build the unit tests.
ign_build_tests(TYPE UNIT SOURCES ${gtest_sources}
  TEST_LIST test_list
  LIB_DEPS ${EXTRA_TEST_LIB_DEPS})

foreach(test ${test_list})
  target_link_libraries(${test} ign)

  # Inform each test of its output directory so it knows where to call the
  # auxiliary files from. Using a generator expression here is useful for
  # multi-configuration generators, like Visual Studio.
  target_compile_definitions(${test} PRIVATE
    "DETAIL_IGN_TRANSPORT_TEST_DIR=\"$<TARGET_FILE_DIR:${test}>\""
    "IGN_TEST_LIBRARY_PATH=\"$<TARGET_FILE_DIR:${PROJECT_LIBRARY_TARGET_NAME}>\""
    "PROJECT_SOURCE_DIR=\"${PROJECT_SOURCE_DIR}\"")

endforeach()

if (TARGET UNIT_ign_TEST)
  set_tests_properties(
    UNIT_ign_TEST
    PROPERTIES
    ENVIRONMENT
      "IGN_CONFIG_PATH=${CMAKE_BINARY_DIR}/test/conf/$<CONFIG>"
  )
endif()

#===============================================================================
# Generate the ruby script for internal testing.
# Note that the major version of the library is included in the name.
# Ex: cmdtransport0.rb
set(cmd_script_generated_test "${CMAKE_BINARY_DIR}/test/lib/$<CONFIG>/ruby/ignition/cmd${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}.rb")
set(cmd_script_configured_test "${CMAKE_CURRENT_BINARY_DIR}/test_cmd${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}.rb.configured")

# Set the library_location variable to the full path of the library file within
# the build directory.
set(service_exe_location "$<TARGET_FILE:${service_executable}>")
set(topic_exe_location "$<TARGET_FILE:${topic_executable}>")

configure_file(
  "cmd${GZ_DESIGNATION}.rb.in"
  "${cmd_script_configured_test}"
  @ONLY)

file(GENERATE
  OUTPUT "${cmd_script_generated_test}"
  INPUT  "${cmd_script_configured_test}")


#===============================================================================
# Used for the installed version.
# Generate the ruby script that gets installed.
# Note that the major version of the library is included in the name.
# Ex: cmdtransport0.rb
set(cmd_script_generated "${CMAKE_CURRENT_BINARY_DIR}/cmd${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}.rb")
set(cmd_script_configured "${cmd_script_generated}.configured")

# Set the library_location variable to the relative path to the library file
# within the install directory structure.
set(service_exe_location "../../../${CMAKE_INSTALL_LIBEXECDIR}/ignition/${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}/$<TARGET_FILE_NAME:${service_executable}>")
set(topic_exe_location "../../../${CMAKE_INSTALL_LIBEXECDIR}/ignition/${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}/$<TARGET_FILE_NAME:${topic_executable}>")

configure_file(
  "cmd${GZ_DESIGNATION}.rb.in"
  "${cmd_script_configured}"
  @ONLY)

file(GENERATE
  OUTPUT "${cmd_script_generated}"
  INPUT  "${cmd_script_configured}")

# Install the ruby command line library in an unversioned location.
install(FILES ${cmd_script_generated} DESTINATION lib/ruby/ignition)

#===============================================================================
# Bash completion

# Tack version onto and install the bash completion script
configure_file(
  "transport.bash_completion.sh"
    "${CMAKE_CURRENT_BINARY_DIR}/transport${PROJECT_VERSION_MAJOR}.bash_completion.sh" @ONLY)
install(
  FILES
    ${CMAKE_CURRENT_BINARY_DIR}/transport${PROJECT_VERSION_MAJOR}.bash_completion.sh
  DESTINATION
    ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/gz/gz${IGN_TOOLS_VER}.completion.d)

## ignition-transport11 11.0.0

=== debian/changelog ===
ignition-transport11 (11.0.0-1~buster) buster; urgency=medium

  * ignition-transport11 11.0.0-1 release

 -- Carlos Aguero <caguero@openrobotics.org>  Wed, 29 Sep 2021 14:14:44 +0200

ignition-transport11 (11.0.0~pre1-2~buster) buster; urgency=medium

  * ignition-transport11 11.0.0~pre1-2 release

 -- Carlos Aguero <caguero@openrobotics.org>  Sat, 18 Sep 2021 00:12:16 +0200

ignition-transport11 (11.0.0~pre1-1~buster) buster; urgency=medium

  * ignition-transport11 11.0.0~pre1-1 release

 -- Carlos Aguero <caguero@openrobotics.org>  Wed, 15 Sep 2021 23:48:20 +0200

ignition-transport11 (10.999.999-1~buster) buster; urgency=medium

  * Stub to be removed after first entry

 -- Louise Poubel <louise@openrobotics.org>  Thu, 01 Apr 2021 15:25:45 -0700

=== debian/control ===
Source: ignition-transport11
Standards-Version: 3.9.4
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: extra
Build-Depends: cmake,
               pkg-config,
               debhelper (>= 11),
               doxygen,
               python3,
               ruby-ronn,
               libprotoc-dev,
               libprotobuf-dev,
               libignition-msgs8-dev,
               libignition-cmake2-dev,
               libignition-tools-dev,
               libignition-utils1-cli-dev,
               libignition-utils1-dev,
               protobuf-compiler,
               uuid-dev,
               libzmq3-dev (>= 3.0.0),
               libsqlite3-dev
Vcs-Browser: https://github.org/ignition-relase/ign-transport11-release
Vcs-Git: https://github.org/ignition-relase/ign-transport11-release
Homepage: https://github.com/ignition-release/ign-transport

Package: libignition-transport11-core-dev
Architecture: any
Section: libdevel
Depends: libignition-transport11 (= ${binary:Version}),
         uuid-dev,
         libzmq3-dev (>= 3.0.0),
         libignition-msgs8-dev,
         libignition-cmake2-dev,
         libignition-tools-dev,
         libignition-utils1-cli-dev,
         libignition-utils1-dev,
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics transport Library - Core Dev files

Package: libignition-transport11
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics Transport Library - Shared library

Package: libignition-transport11-log-dev
Architecture: any
Section: libdevel
Depends: libsqlite3-dev,
         libignition-cmake2-dev,
         libignition-transport11-core-dev (= ${binary:Version}),
         libignition-transport11-log (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics transport Library - Core Dev

Package: libignition-transport11-log
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics Transport Library - Log Shared library

Package: libignition-transport11-dev
Architecture: any
Section: libdevel
Depends: libignition-transport11-core-dev (= ${binary:Version}),
         libignition-transport11-log-dev (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics transport Library - Metapackage

Package: libignition-transport11-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
     libignition-transport11 (= ${binary:Version}),
     ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics transport Library - Debugging symbols

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),amd64 i386))
  CMAKE_HOST_CFLAGS="True"
else
  CMAKE_HOST_CFLAGS="False"
endif

.PHONY: override_dh_auto_configure \
        override_dh_install \
        override_dh_auto_test \
	override_dh_strip

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
            -DUSE_HOST_CFLAGS:BOOL=${CMAKE_HOST_CFLAGS} \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_install:
	dh_install --
	# need to remove files present in components
	$(RM) debian/libignition-transport*-core-dev/usr/include/ignition/transport*/ignition/transport/log.hh
	dh_missing --list-missing

# Test can not run in parallel
override_dh_auto_test:
	# Fix tests. They need special configuration for networking
	# dh_auto_test --max-parallel=1
	true

override_dh_strip:
	dh_strip -a --dbg-package=libignition-transport11-dbg

## ignition-transport11 11.2.0

=== debian/changelog ===
ignition-transport11 (11.2.0-3~focal) focal; urgency=medium

  * ignition-transport11 11.2.0-3 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 17 Aug 2022 11:13:25 -0700

ignition-transport11 (11.2.0-2~focal) focal; urgency=medium

  * ignition-transport11 11.2.0-2 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 17 Aug 2022 10:25:01 -0700

ignition-transport11 (11.2.0-1~focal) focal; urgency=medium

  * ignition-transport11 11.2.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 17 Aug 2022 09:59:48 -0700

ignition-transport11 (11.1.0-7~focal) focal; urgency=medium

  * ignition-transport11 11.1.0-7 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 07 Jun 2022 08:24:46 -0700

ignition-transport11 (11.1.0-1~focal) focal; urgency=medium

  * ignition-transport11 11.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 06 Jun 2022 10:00:14 -0700

ignition-transport11 (11.0.0-1~focal) focal; urgency=medium

  * ignition-transport11 11.0.0-1 release

 -- Carlos Aguero <caguero@openrobotics.org>  Wed, 29 Sep 2021 14:14:44 +0200

ignition-transport11 (11.0.0~pre1-2~focal) focal; urgency=medium

  * ignition-transport11 11.0.0~pre1-2 release

 -- Carlos Aguero <caguero@openrobotics.org>  Sat, 18 Sep 2021 00:12:16 +0200

ignition-transport11 (11.0.0~pre1-1~focal) focal; urgency=medium

  * ignition-transport11 11.0.0~pre1-1 release

 -- Carlos Aguero <caguero@openrobotics.org>  Wed, 15 Sep 2021 23:48:20 +0200

ignition-transport11 (10.999.999-1~focal) focal; urgency=medium

  * Stub to be removed after first entry

 -- Louise Poubel <louise@openrobotics.org>  Thu, 01 Apr 2021 15:25:45 -0700

=== debian/control ===
Source: ignition-transport11
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: extra
Build-Depends: cmake,
               pkg-config,
               debhelper (>= 11),
               doxygen,
               python3,
               ruby-ronn,
               libprotoc-dev,
               libprotobuf-dev,
               libignition-msgs8-dev,
               libignition-cmake2-dev (>= 2.13.0) | libignition-cmake-dev (>= 2.13.0),
               libignition-tools-dev,
               libignition-utils1-cli-dev,
               libignition-utils1-dev,
               protobuf-compiler,
               uuid-dev,
               libzmq3-dev (>= 3.0.0),
               libsqlite3-dev
Vcs-Browser: https://github.com/gazebosim/gz-transport
Vcs-Git: https://github.org/gazebo-release/gz-transport11-release
Standards-Version: 4.5.1
Homepage: https://github.com/gazebo-release/gz-transport

Package: libignition-transport11-core-dev
Architecture: any
Section: libdevel
Depends: libignition-transport11 (= ${binary:Version}),
         uuid-dev,
         libzmq3-dev (>= 3.0.0),
         libignition-msgs8-dev,
         libignition-cmake2-dev (>= 2.13.0),
         libignition-tools-dev,
         libignition-utils1-cli-dev,
         libignition-utils1-dev,
         ${shlibs:Depends},
         ${misc:Depends}
Breaks: libignition-transport-dev (<= 11.0.0+ds-3),
        ignition-transport-cli (<= 11.0.0+ds-3)
Replaces: libignition-transport-dev (<= 11.0.0+ds-3),
        ignition-transport-cli (<= 11.0.0+ds-3)
Multi-Arch: same
Description: Gazebo transport Library - Core Dev files
 Gazebo transport library combines ZeroMQ with Protobufs to create a fast and
 efficient message passing system. Asynchronous message publication and
 subscription is provided along with service calls and discovery.
 .
 Gazebo is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The package ships the Gazebo transport core development files

Package: libignition-transport11
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Breaks: libignition-transport11-11 (<= 11.0.0+ds-3)
Replaces: libignition-transport11-11 (<= 11.0.0+ds-3)
Description: Gazebo Transport Library - Shared library
 Gazebo transport library combines ZeroMQ with Protobufs to create a fast and
 efficient message passing system. Asynchronous message publication and
 subscription is provided along with service calls and discovery.
 .
 Gazebo is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The package ships the Gazebo transport libraries

Package: libignition-transport11-log-dev
Architecture: any
Section: libdevel
Depends: libsqlite3-dev,
         libignition-cmake2-dev (>= 2.13.0),
         libignition-transport11-core-dev (= ${binary:Version}),
         libignition-transport11-log (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Breaks: libignition-transport-dev (<= 11.0.0+ds-3)
Replaces: libignition-transport-dev (<= 11.0.0+ds-3)
Description: Gazebo transport Library - Core Dev
 Gazebo transport library combines ZeroMQ with Protobufs to create a fast and
 efficient message passing system. Asynchronous message publication and
 subscription is provided along with service calls and discovery.
 .
 Gazebo is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The package ships the Gazebo core development libraries

Package: libignition-transport11-log
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Transport Library - Log Shared library
 Gazebo transport library combines ZeroMQ with Protobufs to create a fast and
 efficient message passing system. Asynchronous message publication and
 subscription is provided along with service calls and discovery.
 .
 Gazebo is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The package ships the log shared library

Package: ignition-transport11-cli
Architecture: any
Depends: libignition-transport11 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: no
Description: Gazebo transport Library - CLI
 Gazebo transport library combines ZeroMQ with Protobufs to create a fast and
 efficient message passing system. Asynchronous message publication and
 subscription is provided along with service calls and discovery.
 .
 Gazebo is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The package ships the CLI.

Package: libignition-transport11-dev
Architecture: any
Section: libdevel
Depends: libignition-transport11-core-dev (= ${binary:Version}),
         libignition-transport11-log-dev (= ${binary:Version}),
         ignition-transport11-cli,
         ${misc:Depends}
Multi-Arch: same
Breaks: libignition-transport-dev (<= 11.0.0+ds-3)
Replaces: libignition-transport-dev (<= 11.0.0+ds-3)
Description: Gazebo transport Library - Metapackage
 Gazebo transport library combines ZeroMQ with Protobufs to create a fast and
 efficient message passing system. Asynchronous message publication and
 subscription is provided along with service calls and discovery.
 .
 Gazebo is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The is a metapackage for all development files

Package: libignition-transport11-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
     libignition-transport11 (= ${binary:Version}),
     ${misc:Depends}
Multi-Arch: same
Description: Gazebo transport Library - Debugging symbols
 Gazebo transport library combines ZeroMQ with Protobufs to create a fast and
 efficient message passing system. Asynchronous message publication and
 subscription is provided along with service calls and discovery.
 .
 Gazebo is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The package ships the debugging symbols

Package: libgz-transport11-core-dev
Depends: libignition-transport11-core-dev (= ${binary:Version}), ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-transport11
Depends: libignition-transport11 (= ${binary:Version}), ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-transport11-log-dev
Depends: libignition-transport11-log-dev (= ${binary:Version}), ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-transport11-log
Depends: libignition-transport11-log (= ${binary:Version}), ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: gz-transport11-cli
Depends: ignition-transport11-cli (= ${binary:Version}), ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-transport11-dev
Depends: libignition-transport11-dev (= ${binary:Version}), ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-transport11-dbg
Depends: libignition-transport11-dbg (= ${binary:Version}), ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),amd64 i386))
  CMAKE_HOST_CFLAGS="True"
else
  CMAKE_HOST_CFLAGS="False"
endif

.PHONY: override_dh_auto_configure \
        override_dh_install \
        override_dh_auto_test \
        override_dh_strip

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
      -DUSE_HOST_CFLAGS:BOOL=${CMAKE_HOST_CFLAGS} \
      -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_install:
	dh_install --
	# need to remove files present in components
	$(RM) debian/libignition-transport*-core-dev/usr/include/ignition/transport*/ignition/transport/log.hh
	dh_missing --list-missing

override_dh_auto_test:
	# Fix tests. They need special configuration for networking
	true

override_dh_strip:
	dh_strip -a --dbg-package=libignition-transport11-dbg
